org.eclipse.jetty.server

## Class ShutdownMonitor.ShutdownMonitorThread

- java.lang.Object
- - java.lang.Thread
  - - org.eclipse.jetty.server.ShutdownMonitor.ShutdownMonitorThread

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    ShutdownMonitor

      public class ShutdownMonitor.ShutdownMonitorThread
      extends Thread

  ShutdownMonitorThread Thread for listening to STOP.PORT for command to stop Jetty. If ShowndownMonitor.exitVm is true, then Sytem.exit will also be called after the stop.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownMonitor.ShutdownMonitorThread()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShutdownMonitor.ShutdownMonitorThread

          public ShutdownMonitor.ShutdownMonitorThread()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### start

          public void start()

      Overrides:
        `start` in class `Thread`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.